##############################################################################
#
#  System        : 
#  Module        : 
#  Object Name   : $RCSfile$
#  Revision      : $Revision$
#  Date          : $Date$
#  Author        : $Author$
#  Created By    : Dr. Detlef Groth
#  Created       : Thu Jan 26 12:45:43 2012
#  Last Modified : <120128.0953>
#
#  Description	
#
#  Notes
#
#  History
#	
##############################################################################
#
#  Copyright (c) 2012 University of Potsdam.
# 
#  All Rights Reserved.
# 
#  This  document  may  not, in  whole  or in  part, be  copied,  photocopied,
#  reproduced,  translated,  or  reduced to any  electronic  medium or machine
#  readable form without prior written consent from University of Potsdam.
#
##############################################################################
proc platform {} {
    global tcl_platform
    global tcl_version
    if {$tcl_version eq "8.6"} {
        set version 8.5
    } else {
        set version $tcl_version
    }
    set plat [lindex $tcl_platform(os) 0]
    set mach $tcl_platform(machine)
    switch -glob -- $mach {
        sun4* { set mach sparc }
        intel -
        *86* { set mach x86 ;        #   i*86* { set mach x86 }
        }
    }
    switch -- $plat {
        AIX   { set mach ppc }
        HP-UX { set mach hppa }
        Darwin { set mach univ }
    }
    return "$version-$plat-$mach"
}

# otcl 1.14 package index file
set d [file join $dir libotcl-[platform][info sharedlibextension]]
regsub " " $d {\\ } d
package ifneeded otcl 1.14  "load $d ; package provide otcl 1.14"
